<div class="main-div">
  <mat-card *ngIf="weather" class="mat-elevation-z5">
    <mat-card-header>
      <mat-card-title>{{ weather?.name }}'s weather</mat-card-title>
      <mat-card-subtitle>Today: {{ formattedDate }}</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <div class="flex-row">
        <div class="temp">
          <span class="big-text">{{ weather?.main?.temp }}C</span>
          <span>Feels like </span>
          <span>{{ weather?.main?.feels_like }} C</span>
        </div>
        <div class="outlook temp">
          <img
            *ngIf="weather"
            [src]="
              'https://openweathermap.org/img/wn/' +
              weather?.weather[0]?.icon +
              '@2x.png'
            "
            class="image"
          />
          <span *ngIf="weather">{{ weather?.weather[0]?.description }} </span>
        </div>
      </div>
    </mat-card-content>
    <mat-card-actions>
      <button mat-button>LIKE</button>
      <button mat-button>SHARE</button>
    </mat-card-actions>
    <button mat-raised-button color="primary" (click)="getWeather()">
      Fetch weather
    </button>
  </mat-card>
  <agm-map (mapClick)="mapClicked($event)" [latitude]="lat" [longitude]="lng">
    <agm-marker [latitude]="lat" [longitude]="lng"> </agm-marker>
  </agm-map>

  <!-- <h1 *ngIf="!weather">Wrong city</h1> -->
</div>

<!-- <h1 *ngIf="!weather">Wrong city</h1> -->
<!-- </div>  
<mat-progress-spinner mode="indeterminate"></mat-progress-spinner>
<ng-template #elseBlock>
  <mat-spinner ></mat-spinner>
</ng-template> -->
